XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.IDisposable

Represents a writer that provides a non-cached, forward-only means of generating streams or files containing XML data.

The output of this class conforms to the W3C Extensible Markup Language (XML) 1.0 and the Namespaces in XML recommendations.

This class is and is implemented in the class.

- Constructor
  Constructs a new instance of the class.
  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Closes the writer.

  This method closes any remaining open elements or attributes.

  This method calls the method to flush the underlying buffered stream and then closes the stream.

  This method sets the to .

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlWriter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlWriter `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void

  Clears all buffers and causes any buffered data to be written to the underlying stream.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` A specifying the namespace URI.

  Retrieves the prefix defined in the current namespace scope for the specified namespace URI.

  A containing the corresponding prefix, or if the prefix is not found and is the default namespace, or if no matching namespace URI is found in the current scope.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is or . 0 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XmlWriterSettings To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` A from which to copy the attributes. A where specifies to copy the default attributes from ; otherwise, .

  Writes the attributes found at the current position of a .

  If the reader is positioned on an or node, this method writes all the contained attributes. If the reader is positioned on an node, this method writes the current attribute, then the rest of the attributes until the closing tag is reached. If the reader is positioned on any other node type, this method throws an exception.

  This method positions the reader by calling its and methods, and retrieves the value of the attributes by calling the method of the reader.

  Override this method to remove any content that would invalidate the document.

  Use this method to write all the attributes found at the current position.

  is . The is . is not positioned on a node of , , or . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A specifying the local name of the attribute. A specifying the value of the attribute. To be added.

  Writes a new attribute with the specified local name and value.

  This method calls the following methods in order to write a complete attribute:

  (, , )

  ()

  ()

  is or . The is not . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A specifying the local name of the attribute. A specifying the namespace URI of the attribute. A specifying the value of the attribute. To be added. To be added.

  Writes a new attribute with the specified local name, namespace URI, and value.

  This method calls the following methods in order to write a complete attribute:

  (, , )

  ()

  ()

  is or . The is not . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A specifying the namespace prefix of the attribute. A specifying the local name of the attribute. A specifying the namespace URI of the attribute. A specifying the value of the attribute. To be added. To be added. To be added.

  Writes a new attribute with the specified prefix, local name, namespace URI, and value.

  This method calls the following methods in order to write a complete attribute:

  (, , )

  ()

  ()

  is or . The is not . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A array containing the bytes to encode. A specifying the position within the array of the first byte to encode. A specifying the number of bytes to encode.

  Encodes the specified binary bytes as Base64 and writes out the resulting text.

  Base64 encoding represents byte sequences in a text form comprised of the 65 US-ASCII characters (A-Z, a-z, 0-9, +, / ,= ) where each character encodes 6 bits of the binary data. For more information on Base64 encoding, see RFC 2045 ( http://www.ietf.org/rfc/rfc2045).

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is . The buffer length minus is less than . or is less than zero. The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A array containing the bytes to encode. A specifying the position within the array of the first byte to encode. A specifying the number of bytes to encode.

  Encodes the specified binary bytes as BinHex and writes the resulting text.

  For information on BinHex encoding, see RFC 1741 (http://www.ietf.org/rfc/rfc1741).

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is . The buffer length minus is less than . or is less than zero. The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A specifying the text to place inside the CDATA block.

  Writes out a CDATA block containing the specified text.

  This method writes <![CDATA[]]>.

  If is or , this method writes an empty CDATA block, <![CDATA[]]>.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The text would result in a non-well formed XML document. The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The for which to generate the entity.

  Forces the generation of a character entity for the specified Unicode character value.

  This method forces the generation of a character entity for the specified Unicode character value and writes the Unicode character in hexadecimal character entity reference format.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The character is in the surrogate pair character range, 0xd800 - 0xdfff, or the text would result in a non-well formed XML document. The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A array containing the text to write. A specifying the position within the array of the start of the text to write. A specifying the number of characters to write.

  Writes text a buffer at a time.

  As described above.

  When overriding this method, throw an exception if surrogate pair characters would be split across multiple buffer writes. This exception must be caught in order to continue writing the next surrogate pair characters. The XML specification defines the valid ranges for surrogate pairs.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is . The buffer length minus is less than . or is less than zero. The is .
0
1.0.5000.0
2.0.0.0
- Method
  System.Void `` A containing the text to place inside the comment.

  Writes a comment containing the specified text.

  This method writes <!---->.

  If is or , this method writes a comment with no content, <!---->.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The text would result in a non-well formed XML document. The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A specifying the name of the document type.

  A specifying the public identifier, which is an alternative to the system identifier.

  A specifying the system identifier, which is the URI of the DTD (document type definition) for the document.

  A specifying a URI that contains markup declarations.

  Writes the document type declaration with the specified name and optional attributes.

  This method writes the document type declaration with the specified name and optional attributes. The optional attributes, , , and , are not checked for invalid characters.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is or .

  -or-

  The value for would result in invalid XML.

  This method was called outside the prolog (after the root element). 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  A specifying the local name of the element.

  A specifying the value of the element.

  To be added.

  Writes an element with the specified local name and value.

  This method is equivalent to (, , ).

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  A specifying the local name of the element.

  A specifying the namespace URI to associate with the element.

  A specifying the value of the element.

  To be added.

  Writes an element with the specified local name, namespace URI, and value.

  This method calls the following methods to write a complete element:

  (, )

  () - this method is not called if is either or

  ()

  If any of the input parameters are or , the element is written with that parameter missing.

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void

  Closes the attribute started with the method.

  As described above.

  Override the , , and methods so these methods also close any attributes that are open when they are called.

  The is not . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Closes open elements and attributes and sets the back to the state.

  This method closes all elements and attributes created by the and methods, respectively, that are open when the method is called.

  This method must be overridden in order to provide the functionality as described herein, as there is no default implementation.

  After calling this method, the current instance can be used to write a new XML document.

  The current instance is in the wrong , or the document does not have a root element. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Closes an open element and pops the corresponding namespace scope.

  This method closes one element and pops the corresponding namespace scope. If the open element does not contain content, it is closed as an empty element using " />"; otherwise an end element is written.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  No element was open, or the is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A specifying the name of the entity reference.

  Writes an entity reference with the specified name.

  This method writes %;.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is either or . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Closes an open element and pops the corresponding namespace scope.

  This method closes one element and pops the corresponding namespace scope. This method writes an end element regardless of whether there is any content in the element.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  No element was open, or the is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A specifying the name to write.

  Writes the specified name, ensuring it is a valid name according to the W3C XML 1.0 recommendation (http://www.w3.org/TR/1998/REC-xml-19980210#NT-Name).

  This method writes the specified name, ensuring it is a valid name according to the W3C XML 1.0 recommendation.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is or ; or is not a valid XML Name.

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A specifying the name to write.

  Writes the specified name, ensuring it is a valid name token (Nmtoken) according to the W3C XML 1.0 recommendation (http://www.w3.org/TR/1998/REC-xml-19980210#NT-Name).

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is or ; or is not a valid XML Nmtoken.

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A from which to copy the attributes. A where specifies to copy the default attributes from ; otherwise, .

  Writes the node found at the current position of the specified , and all sub-nodes.

  After the nodes are read, is moved to the next node at the same depth as the current node.

  If is in the , this method moves to the end of the stream. If is in the , this method is non-operational.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to write the node found at the current position and all sub-nodes.

  is . The is .

  The following example uses a and a to copy an XML file, specified in the command line, to the console.

  `using System; using System.Xml; public class Copier { public static void Main(string[] args) { XmlTextReader xtReader = new XmlTextReader(args[0]); XmlTextWriter xtWriter = new XmlTextWriter(Console.Out); xtWriter.WriteNode(xtReader, false); xtWriter.Close(); xtReader.Close(); } }` 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` A specifying the name of the processing instruction. A specifying the text to include in the processing instruction. To be added.

  Writes a processing instruction with the specified name and text.

  This method writes <??>.

  If is or , this method writes a processing instruction with no text content, <??>.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The text would result in a non-well formed XML document.

  - or -

  is or .

  - or -

  This method is being used to create an XML declaration after has already been called.

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A specifying the local name to write. A specifying the namespace URI to associate with . To be added.

  Writes the qualified name.

  This method writes the qualified name. If maps to the current default namespace, no prefix is generated. When writing attribute values, this method generates a prefix if is not found. When writing element content, it throws an exception if is not found.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is , is , or is not a valid XML name.

  The is . is not a valid XML name. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A specifying the text to write.

  Writes raw text from a string.

  This method writes raw text from a string. This method does not encode any characters. If is , is written.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A array containing the text to write. A specifying the position within the array of the start of the text to write. A specifying the number of characters to write.

  Writes raw text from a character array.

  This method writes raw text from a character array. This method does not encode any characters.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is . The buffer length minus is less than . or is less than zero. The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` A specifying the local name of the attribute. A specifying the namespace URI of the attribute. To be added.

  Writes the start of an attribute.

  This method calls (, , ).

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A specifying the namespace prefix of the attribute. A specifying the local name of the attribute. A specifying the namespace URI associated with the attribute. To be added. To be added.

  Writes the start of an attribute with the specified prefix and name, and associates the prefix with the specified namespace URI.

  If any of the input parameters are or , the start attribute is written with that parameter missing.

  When overriding this method, close any open attributes before writing the new attribute.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The is not one of the following: or .
0
1.0.5000.0
2.0.0.0
- Method
  System.Void

  Writes the XML declaration with the version "1.0" and no standalone attribute.

  Character encoding is set when the class in instantiated.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The is not . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A where indicates to write "standalone= yes"; indicates to write "standalone=no".

  Writes the XML declaration with the version "1.0" and the standalone attribute.

  Character encoding is set when the class in instantiated.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The is not . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  A specifying the local name of the element.

  Writes a start element with the specified name.

  This method calls (, , ).

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  A specifying the local name of the element.

  A specifying the namespace URI to associate with the element.

  Writes a start element with the specified name, and associates it with the given namespace.

  This method calls (, , ).

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A specifying the namespace prefix of the element.

  A specifying the local name of the element.

  A specifying the namespace URI to associate with the element.

  Writes a start element with the specified name, and associates it with the given namespace and prefix.

  This method writes a start element and name, and associates it with a namespace and prefix. If the namespace is already in scope and has an associated prefix, that prefix is automatically written also.

  If any of the input parameters are or , the start element is written with that parameter missing.

  When overriding this method, also override the , , and methods so they close any open start element.

  Use this method to write a specified start element and name, and associate it with a given namespace and prefix. Write any attributes using the , , and methods, then close the element using the method.

  The is .

  See for an example demonstrating this method.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.WriteState

  Gets the write state of the writer.

  One of the members of the enumeration.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality as described herein, as there is no default implementation.

  Use this property to query the current state, for example, whether the writer is newly initialized, writing specific XML structures, or closed.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A specifying the text to write.

  Writes the specified text.

  This method performs the following conversions before writing the text:

  The characters '&', '<', and '>' are replaced with "&amp;", "&lt;", and "&gt;", respectively.
  Character values in the range 0x-0x1F (excluding the white space characters 0x9, 0x10, and 0x13) are replaced with numeric character entities ("&#0;" through "&#0x1F").
  If called in the context of an attribute value, double and single quotes are replaced with "&quot;" and "&apos;" respectively.

  If is or , this method writes a text node with no data content.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A containing the low surrogate. This must be a value between 0xDC00 and 0xDFFF. A containing the high surrogate. This must be a value between 0xD800 and 0xDBFF. To be added.

  Generates and writes the surrogate character entity for the surrogate character pair.

  Applications encode DOM strings using UTF-16. For both HTML and XML, the document character set (and therefore the notation of numeric character references) is based on UCS [ISO-10646]. A single numeric character reference in a source document might therefore in some cases correspond to two 16-bit units in a DOM string (a high surrogate and a low surrogate). These 16-bit units are referred to as a surrogate pair.

  For more information regarding surrogates or characters, refer to section 3.7 of the Unicode 3.0/Unicode 2.0 standard located at http://www.unicode.org, or section 2.2 of the W3C XML 1.0 Recommendation located at http://www.w3.org/TR/REC-xml#charsets.

  This method generates and writes the surrogate character entity for a surrogate character pair. The surrogate character entity is written in hexadecimal format. The range for surrogate characters is #x10000 to #x10FFFF. The following formula is used to generate the surrogate character entity: ( - 0xD800) * 0x400 + ( - 0xDC00) + 0x10000.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  An invalid surrogate character pair was passed. The is . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` A containing the white space characters.

  Writes the given white space.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is or or contains non-white space characters. The is . 0 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets the language attribute, xml:lang, specifying the language in which the content and attribute values of the current element are written.

  A containing the language attribute, or if the language attribute is not specified for the element.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlSpace

  Gets the white space attribute, xml:space, specifying how white space is handled in the current element.

  One of the members of the enumeration, or if the white space attribute is not specified for the element.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
0